diff --git python-jupyter-core.spec~ python-jupyter-core.spec
index e5a84b5609..64b99d4aff 100644
--- python-jupyter-core.spec~
+++ python-jupyter-core.spec
@@ -52,7 +52,7 @@ Documentation for jupyter_core
 %py2_build
 %py3_build
 # generate html docs 
-sphinx-build docs html
+PYTHONPATH=build/lib/ sphinx-build docs html
 # remove the sphinx-build leftovers
 rm -rf html/.{doctrees,buildinfo}
 
@@ -60,30 +60,35 @@ rm -rf html/.{doctrees,buildinfo}
 # Must do the subpackages' install first because the scripts in /usr/bin are
 # overwritten with every setup.py install.
 %py3_install
-cp %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-3
-ln -sf %{_bindir}/jupyter-migrate-3 %{buildroot}/%{_bindir}/jupyter-migrate-%{python3_version}
-cp %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-3
-ln -sf %{_bindir}/jupyter-3 %{buildroot}/%{_bindir}/jupyter-%{python3_version}
-#cp %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-3
-#ln -sf %{_bindir}/jupyter-troubleshoot-3 %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python3_version}
+mv %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-%{python3_version}
+ln -s jupyter-%{python3_version} %{buildroot}/%{_bindir}/jupyter-3
+mv %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-%{python3_version}
+ln -s jupyter-migrate-%{python3_version} %{buildroot}/%{_bindir}/jupyter-migrate-3
+#mv %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python3_version}
+#ln -s jupyter-troubleshoot-%{python3_version} %{buildroot}/%{_bindir}/jupyter-troubleshoot-3
 
 %py2_install
-cp %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-2
-ln -sf %{_bindir}/jupyter-migrate-2 %{buildroot}/%{_bindir}/jupyter-migrate-%{python2_version}
-cp %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-2
-ln -sf %{_bindir}/jupyter-2 %{buildroot}/%{_bindir}/jupyter-%{python2_version}
-#cp %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-2
-#ln -sf %{_bindir}/jupyter-troubleshoot-2 %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python2_version}
+mv %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-%{python2_version}
+ln -s jupyter-%{python2_version} %{buildroot}/%{_bindir}/jupyter-2
+mv %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-%{python2_version}
+ln -s jupyter-migrate-%{python2_version} %{buildroot}/%{_bindir}/jupyter-migrate-2
+#mv %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python2_version}
+#ln -s jupyter-troubleshoot-%{python2_version} %{buildroot}/%{_bindir}/jupyter-troubleshoot-2
 
+ln -s jupyter-2 %{buildroot}/%{_bindir}/jupyter
+ln -s jupyter-migrate-2 %{buildroot}/%{_bindir}/jupyter-migrate
 
-%files -n python2-%{pypi_name} 
-%doc README.md COPYING.md
-%{_bindir}/jupyter-migrate
-%{_bindir}/jupyter-migrate-2
-%{_bindir}/jupyter-migrate-%{python2_version}
+%global _docdir_fmt %{name}
+
+%files -n python2-%{pypi_name}
+%license COPYING.md
+%doc README.md
 %{_bindir}/jupyter
 %{_bindir}/jupyter-2
 %{_bindir}/jupyter-%{python2_version}
+%{_bindir}/jupyter-migrate
+%{_bindir}/jupyter-migrate-2
+%{_bindir}/jupyter-migrate-%{python2_version}
 #%{_bindir}/jupyter-troubleshoot
 #%{_bindir}/jupyter-troubleshoot-2
 #%{_bindir}/jupyter-troubleshoot-%{python2_version}
@@ -92,12 +97,13 @@ ln -sf %{_bindir}/jupyter-2 %{buildroot}/%{_bindir}/jupyter-%{python2_version}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 %{python2_sitelib}/%{pypi_name}/
 
-%files -n python3-%{pypi_name} 
-%doc README.md COPYING.md
-%{_bindir}/jupyter-migrate-3
-%{_bindir}/jupyter-migrate-%{python3_version}
+%files -n python3-%{pypi_name}
+%license COPYING.md
+%doc README.md
 %{_bindir}/jupyter-3
 %{_bindir}/jupyter-%{python3_version}
+%{_bindir}/jupyter-migrate-3
+%{_bindir}/jupyter-migrate-%{python3_version}
 #%{_bindir}/jupyter-troubleshoot-3
 #%{_bindir}/jupyter-troubleshoot-%{python3_version}
 %dir %{python3_sitelib}/__pycache__/
